Update a tool

Server: https://{kibana_url}
  • PUT /api/agent_builder/tools/{toolId}
  • PUT /s/{space_id}/api/agent_builder/tools/{toolId}

Refer to Spaces for more information.

Update an existing tool. Use this endpoint to modify any aspect of the tool's configuration or metadata. To learn more about Agent Builder tools, refer to the tools documentation.

[Required authorization] Route required privileges: agentBuilder:manageTools.

Path Parameters

toolId string required

The unique identifier of the tool to update.

Response

200

Indicates a successful response

application/json